import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.util.List;
/**
 * You create a program in which an arrow/key randomly/to the rhythm of 
 * something pops up and you must click that key in a certain amount of time. 
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class GameWorld extends World
{
    private double nextTime;
    private double lastTime;
    private String lastString;
    /**
     * Constructor for objects of class GameWorld.
     * 
     */
    public GameWorld()
    {    
        super(600, 400, 1); 
        GreenfootImage img = getBackground();
        img.setColor(Color.BLACK);
        img.fill();
        img.setColor(Color.RED);
        img.drawLine(0,getHeight()-50, getWidth(), getHeight()-50);
        img.drawLine(0,getHeight()-100, getWidth(), getHeight()-100);
        nextTime = System.currentTimeMillis();
        lastTime = System.currentTimeMillis();
        Greenfoot.start();
    }

    public void act()
    {
        if(System.currentTimeMillis() >= nextTime)
        {
            addObject(new Block(), Greenfoot.getRandomNumber(getWidth()-100)+50, 0);
            nextTime = System.currentTimeMillis() + Greenfoot.getRandomNumber(1000);
        }
        String str = Greenfoot.getKey();  
        if (str != null) 
        {  
            if(System.currentTimeMillis()-lastTime < 35)
            {
                System.out.println("close");
                if(lastString.equalsIgnoreCase(str))
                {
                    System.out.println("too close");
                    return;
                }
            }
            lastString = str;
            lastTime = System.currentTimeMillis();
            for (Object obj : getObjects(Block.class)) {  
                ((Block) obj).checkKey(str);  
            }  
        }  
    }
}